Bug 480120 - Redirecting failed
Redirecting failed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 03:33 EST by Cao, Chen
Modified: 2009-02-03 04:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 03:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's a document set to be readonly which will redirect after 5 second to another document (7.71 KB, application/vnd.oasis.opendocument.text)
2009-01-15 11:31 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 50881 None None None Never
OpenOffice.org 98108 None None None Never

  None (edit)
Description Cao, Chen 2009-01-15 03:33:48 EST
Description of problem:
OOo failed to redirect to files or URLs, as being set to redirect.


Version-Release number of selected component (if applicable):
OpenOffice.org 3.0.0-9-10.fc10


How reproducible:
100% reproducible on my machine.


Steps to Reproduce:
1. create a OOo document by 
'Launch OOo, File -> new -> Text Document'.
2. set OOo to redirect to some site, for example 'http://www.google.com', by 
    1) 'File -> Properties... ', and 
    2) choose the tab 'Internet'.
    3) choose 'Redirect from this document'.
    4) after '5' seconds, 
       to URL : 'http://www.google.com' (or whatever site or file you like),
       to frame: '_blank' (or whatever value you like to select)
    5) click 'OK'.
3. save the file and reopen the file.


Actual results:
after about half an hour, nothing happened.


Expected results:
OOo opens the site set in 'to URL' in a window of the web browser.


Additional info:
N/A
Comment 1 Caolan McNamara 2009-01-15 10:58:48 EST
Lets see if there's anything we can do about this
Comment 2 Caolan McNamara 2009-01-15 11:22:03 EST
The code is set to only do a redirect if the document is read-only
Comment 3 Caolan McNamara 2009-01-15 11:31:02 EST
Created attachment 329105 [details]
Here's a document set to be readonly which will redirect after 5 second to another document
Comment 4 Cao, Chen 2009-01-16 03:34:59 EST
OOo does work if the file is read-only.

and this is just not mentioned in the help document.
Comment 5 Suqin Huang 2009-02-03 04:42:42 EST
Can not redirect from the document to website, such as www.google.cn

Note You need to log in before you can comment on or make changes to this bug.